org.icefaces.ace.component.tabset

## Enum TabSetBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<TabSetBase.PropertyKeys>
  - - org.icefaces.ace.component.tabset.TabSetBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TabSetBase.PropertyKeys>
  Enclosing class:
    TabSetBase

      protected static enum TabSetBase.PropertyKeys
      extends java.lang.Enum<TabSetBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cancelOnInvalid`
    `clientSide`
    `disabled`
    `immediate`
    `orientation`
    `preDecodeSelectedIndex`
    `selectedIndex`
    `showEffect`
    `showEffectLength`
    `style`
    `styleClass`
    `tabChangeListener`
    `visitedTabClientIds`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static TabSetBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TabSetBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### cancelOnInvalid

          public static final TabSetBase.PropertyKeys cancelOnInvalid

    - #### clientSide

          public static final TabSetBase.PropertyKeys clientSide

    - #### disabled

          public static final TabSetBase.PropertyKeys disabled

    - #### immediate

          public static final TabSetBase.PropertyKeys immediate

    - #### orientation

          public static final TabSetBase.PropertyKeys orientation

    - #### selectedIndex

          public static final TabSetBase.PropertyKeys selectedIndex

    - #### showEffect

          public static final TabSetBase.PropertyKeys showEffect

    - #### showEffectLength

          public static final TabSetBase.PropertyKeys showEffectLength

    - #### style

          public static final TabSetBase.PropertyKeys style

    - #### styleClass

          public static final TabSetBase.PropertyKeys styleClass

    - #### tabChangeListener

          public static final TabSetBase.PropertyKeys tabChangeListener

    - #### preDecodeSelectedIndex

          public static final TabSetBase.PropertyKeys preDecodeSelectedIndex

    - #### visitedTabClientIds

          public static final TabSetBase.PropertyKeys visitedTabClientIds

  - ### Method Detail

    - #### values

          public static TabSetBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TabSetBase.PropertyKeys c : TabSetBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TabSetBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TabSetBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.